Esc

↑↓ move↵ openIndex · Pagefind
REST reference · Core Tools

Admin

14 endpoints4 implementedAll modules →
  1. GET /rest/v1.0/companies/{company_id}/project_stages
  2. GET /rest/v1.0/cost_codes
  3. POST /rest/v1.0/cost_codes
  4. GET /rest/v1.0/cost_codes/{id}
  5. PATCH /rest/v1.0/cost_codes/{id}
  6. GET /rest/v1.0/projectsList projects
  7. POST /rest/v1.0/projectsCreate project
  8. GET /rest/v1.0/projects/{id}
  9. PATCH /rest/v1.0/projects/{id}
  10. GET /rest/v1.0/projects/{project_id}/permission_templates
  11. GET /rest/v1.0/sub_jobs
  12. POST /rest/v1.0/sub_jobs
  13. GET /rest/v1.0/sub_jobs/{id}
  14. PATCH /rest/v1.0/sub_jobs/{id}
GET /rest/v1.0/companies/{company_id}/project_stages

GET companies/{company_id}/project_stages

v1.0Implemented

Parameters

  • company_id
    stringpathrequired

Response · 200 · object[]

  • id
    integer
  • name
    string
  • is_bidding_stage
    boolean
  • is_concept_stage
    boolean
  • category
    string
  • readonly
    boolean
  • default_stage
    boolean
  • hideable
    boolean
  • has_rfi_prefixes
    boolean
  • project_stage_has_children
    boolean
GET /rest/v1.0/cost_codes

GET cost_codes

v1.0Documented

Response · 200 · object[]

  • id
    integer
  • biller
    string
  • biller_id
    integer
  • biller_type
    string
  • biller_origin_id
    string
  • budgeted
    boolean
  • code
    string
  • created_at
    string (date-time)
  • deleted_at
    string (date-time)
  • full_code
    string
  • name
    string
  • origin_data
    string
  • origin_id
    string
  • parent
    object
  • position
    integer
  • sortable_code
    string
  • standard_cost_code_id
    integer
  • updated_at
    string (date-time)
  • line_item_types
    object[]
POST /rest/v1.0/cost_codes

POST cost_codes

v1.0Documented

Request body

  • project_id
    integerrequired
  • sub_job_id
    integer
  • cost_code
    objectrequired

Response · 201 · object

  • id
    integer
  • biller
    string
  • biller_id
    integer
  • biller_type
    string
  • biller_origin_id
    string
  • budgeted
    boolean
  • code
    string
  • created_at
    string (date-time)
  • deleted_at
    string (date-time)
  • full_code
    string
  • name
    string
  • origin_data
    string
  • origin_id
    string
  • parent
    object
  • position
    integer
  • sortable_code
    string
  • standard_cost_code_id
    integer
  • updated_at
    string (date-time)
  • line_item_types
    object[]
GET /rest/v1.0/cost_codes/{id}

GET cost_codes/{id}

v1.0Documented

Parameters

  • id
    stringpathrequired

Response · 200 · object

  • id
    integer
  • biller
    string
  • biller_id
    integer
  • biller_type
    string
  • biller_origin_id
    string
  • budgeted
    boolean
  • code
    string
  • created_at
    string (date-time)
  • deleted_at
    string (date-time)
  • full_code
    string
  • name
    string
  • origin_data
    string
  • origin_id
    string
  • parent
    object
  • position
    integer
  • sortable_code
    string
  • standard_cost_code_id
    integer
  • updated_at
    string (date-time)
  • line_item_types
    object[]
PATCH /rest/v1.0/cost_codes/{id}

PATCH cost_codes/{id}

v1.0Documented

Parameters

  • id
    stringpathrequired

Response · 200 · object

  • id
    integer
  • biller
    string
  • biller_id
    integer
  • biller_type
    string
  • biller_origin_id
    string
  • budgeted
    boolean
  • code
    string
  • created_at
    string (date-time)
  • deleted_at
    string (date-time)
  • full_code
    string
  • name
    string
  • origin_data
    string
  • origin_id
    string
  • parent
    object
  • position
    integer
  • sortable_code
    string
  • standard_cost_code_id
    integer
  • updated_at
    string (date-time)
  • line_item_types
    object[]
GET /rest/v1.0/projects

List projects

v1.0Implemented

Parameters

  • company_id
    integerquery
  • OS-Company-Id
    integerheader
  • filters[active]
    stringquery
  • page
    integerquery
  • per_page
    integerquery

Response · 200 · object[]

  • id
    integer
  • logo_id
    integer
  • logo_url
    string
  • name
    string
  • is_demo
    boolean
  • template
    boolean
  • display_name
    string
  • project_number
    string
  • address
    string
  • city
    string
  • state_code
    string
  • country_code
    string
  • zip
    string
  • time_zone
    string
  • tz_name
    string
  • latitude
    number (float)
  • longitude
    number (float)
  • county
    string
  • parent_job_id
    integer
  • parent_job
    object
  • from_project_template_id
    integer
  • square_feet
    integer
  • start_date
    string (date)
  • completion_date
    string (date)
  • total_value
    string (float)
  • store_number
    string
  • accounting_project_number
    string
  • designated_market_area
    string
  • warranty_start_date
    string (date)
  • warranty_end_date
    string (date)
  • active
    boolean
  • flag
    string
  • locale
    string
  • phone
    string
  • public_notes
    string
  • actual_start_date
    string (date)
  • projected_finish_date
    string (date)
  • created_at
    string (date-time)
  • updated_at
    string (date-time)
  • origin_id
    string
  • origin_data
    string
  • origin_code
    string
  • standard_cost_code_list_id
    integer
  • is_erp_integrated
    boolean
  • owners_project_id
    integer
  • photo_id
    integer
  • photo_url
    string
  • inbound_email
    string
  • inbound_email_address
    string (email)
  • estimated_start_date
    string (date)
  • estimated_completion_date
    string (date)
  • estimated_value
    string (float)
  • code
    string
  • sector
    string
  • work_scope
    string
  • delivery_method
    string
  • created_by
    object
  • persistent_message
    object
  • office
    object
  • project_bid_type_id
    integer
  • project_bid_type
    object
  • project_owner_type_id
    integer
  • project_owner_type
    object
  • project_region_id
    integer
  • project_region
    object
  • project_stage_id
    integer
  • project_stage
    object
  • project_type
    object
  • program
    object
  • departments
    object[]
  • company
    object
  • dictionary_type
    string
  • custom_fields
    object
  • project_sector_id
    integer
POST /rest/v1.0/projects

Create project

v1.0Implemented

Parameters

  • company_id
    integerquery
  • OS-Company-Id
    integerheader

Request body

  • company_id
    integer
  • project
    objectrequired

Response · 201 · object

  • id
    integer
  • logo_id
    integer
  • logo_url
    string
  • name
    string
  • is_demo
    boolean
  • template
    boolean
  • display_name
    string
  • project_number
    string
  • address
    string
  • city
    string
  • state_code
    string
  • country_code
    string
  • zip
    string
  • time_zone
    string
  • tz_name
    string
  • latitude
    number (float)
  • longitude
    number (float)
  • county
    string
  • parent_job_id
    integer
  • parent_job
    object
  • from_project_template_id
    integer
  • square_feet
    integer
  • start_date
    string (date)
  • completion_date
    string (date)
  • total_value
    string (float)
  • store_number
    string
  • accounting_project_number
    string
  • designated_market_area
    string
  • warranty_start_date
    string (date)
  • warranty_end_date
    string (date)
  • active
    boolean
  • flag
    string
  • locale
    string
  • phone
    string
  • public_notes
    string
  • actual_start_date
    string (date)
  • projected_finish_date
    string (date)
  • created_at
    string (date-time)
  • updated_at
    string (date-time)
  • origin_id
    string
  • origin_data
    string
  • origin_code
    string
  • standard_cost_code_list_id
    integer
  • is_erp_integrated
    boolean
  • owners_project_id
    integer
  • photo_id
    integer
  • photo_url
    string
  • inbound_email
    string
  • inbound_email_address
    string (email)
  • estimated_start_date
    string (date)
  • estimated_completion_date
    string (date)
  • estimated_value
    string (float)
  • code
    string
  • sector
    string
  • work_scope
    string
  • delivery_method
    string
  • created_by
    object
  • persistent_message
    object
  • office
    object
  • project_bid_type_id
    integer
  • project_bid_type
    object
  • project_owner_type_id
    integer
  • project_owner_type
    object
  • project_region_id
    integer
  • project_region
    object
  • project_stage_id
    integer
  • project_stage
    object
  • project_type
    object
  • program
    object
  • departments
    object[]
  • company
    object
  • dictionary_type
    string
  • custom_fields
    object
  • project_sector_id
    integer
GET /rest/v1.0/projects/{id}

GET projects/{id}

v1.0Documented

Parameters

  • id
    stringpathrequired

Response · 200 · object

  • id
    integer
  • logo_id
    integer
  • logo_url
    string
  • name
    string
  • is_demo
    boolean
  • template
    boolean
  • display_name
    string
  • project_number
    string
  • address
    string
  • city
    string
  • state_code
    string
  • country_code
    string
  • zip
    string
  • time_zone
    string
  • tz_name
    string
  • latitude
    number (float)
  • longitude
    number (float)
  • county
    string
  • parent_job_id
    integer
  • parent_job
    object
  • from_project_template_id
    integer
  • square_feet
    integer
  • start_date
    string (date)
  • completion_date
    string (date)
  • total_value
    string (float)
  • store_number
    string
  • accounting_project_number
    string
  • designated_market_area
    string
  • warranty_start_date
    string (date)
  • warranty_end_date
    string (date)
  • active
    boolean
  • flag
    string
  • locale
    string
  • phone
    string
  • public_notes
    string
  • actual_start_date
    string (date)
  • projected_finish_date
    string (date)
  • created_at
    string (date-time)
  • updated_at
    string (date-time)
  • origin_id
    string
  • origin_data
    string
  • origin_code
    string
  • standard_cost_code_list_id
    integer
  • is_erp_integrated
    boolean
  • owners_project_id
    integer
  • photo_id
    integer
  • photo_url
    string
  • inbound_email
    string
  • inbound_email_address
    string (email)
  • estimated_start_date
    string (date)
  • estimated_completion_date
    string (date)
  • estimated_value
    string (float)
  • code
    string
  • sector
    string
  • work_scope
    string
  • delivery_method
    string
  • created_by
    object
  • persistent_message
    object
  • office
    object
  • project_bid_type_id
    integer
  • project_bid_type
    object
  • project_owner_type_id
    integer
  • project_owner_type
    object
  • project_region_id
    integer
  • project_region
    object
  • project_stage_id
    integer
  • project_stage
    object
  • project_type
    object
  • program
    object
  • departments
    object[]
  • company
    object
  • dictionary_type
    string
  • custom_fields
    object
  • project_sector_id
    integer
PATCH /rest/v1.0/projects/{id}

PATCH projects/{id}

v1.0Documented

Parameters

  • id
    stringpathrequired

Request body

  • company_id
    integerrequired
  • project
    objectrequired

Response · 200 · object

  • id
    integer
  • logo_id
    integer
  • logo_url
    string
  • name
    string
  • is_demo
    boolean
  • template
    boolean
  • display_name
    string
  • project_number
    string
  • address
    string
  • city
    string
  • state_code
    string
  • country_code
    string
  • zip
    string
  • time_zone
    string
  • tz_name
    string
  • latitude
    number (float)
  • longitude
    number (float)
  • county
    string
  • parent_job_id
    integer
  • parent_job
    object
  • from_project_template_id
    integer
  • square_feet
    integer
  • start_date
    string (date)
  • completion_date
    string (date)
  • total_value
    string (float)
  • store_number
    string
  • accounting_project_number
    string
  • designated_market_area
    string
  • warranty_start_date
    string (date)
  • warranty_end_date
    string (date)
  • active
    boolean
  • flag
    string
  • locale
    string
  • phone
    string
  • public_notes
    string
  • actual_start_date
    string (date)
  • projected_finish_date
    string (date)
  • created_at
    string (date-time)
  • updated_at
    string (date-time)
  • origin_id
    string
  • origin_data
    string
  • origin_code
    string
  • standard_cost_code_list_id
    integer
  • is_erp_integrated
    boolean
  • owners_project_id
    integer
  • photo_id
    integer
  • photo_url
    string
  • inbound_email
    string
  • inbound_email_address
    string (email)
  • estimated_start_date
    string (date)
  • estimated_completion_date
    string (date)
  • estimated_value
    string (float)
  • code
    string
  • sector
    string
  • work_scope
    string
  • delivery_method
    string
  • created_by
    object
  • persistent_message
    object
  • office
    object
  • project_bid_type_id
    integer
  • project_bid_type
    object
  • project_owner_type_id
    integer
  • project_owner_type
    object
  • project_region_id
    integer
  • project_region
    object
  • project_stage_id
    integer
  • project_stage
    object
  • project_type
    object
  • program
    object
  • departments
    object[]
  • company
    object
  • dictionary_type
    string
  • custom_fields
    object
  • project_sector_id
    integer
GET /rest/v1.0/projects/{project_id}/permission_templates

GET projects/{project_id}/permission_templates

v1.0Implemented

Parameters

  • project_id
    stringpathrequired

Response · 200 · object[]

  • id
    integer
  • name
    string
  • project_specific
    boolean
  • type
    string
  • category
    string
GET /rest/v1.0/sub_jobs

GET sub_jobs

v1.0Documented

Response · 200 · object[]

  • origin_id
    string
  • origin_code
    string
  • origin_data
    string
  • created_at
    string (date-time)
  • updated_at
    string (date-time)
  • id
    integer
  • name
    string
  • code
    string
POST /rest/v1.0/sub_jobs

POST sub_jobs

v1.0Documented

Request body

  • sub_job
    objectrequired

Response · 201 · object

  • origin_id
    string
  • origin_code
    string
  • origin_data
    string
  • created_at
    string (date-time)
  • updated_at
    string (date-time)
  • id
    integer
  • name
    string
  • code
    string
GET /rest/v1.0/sub_jobs/{id}

GET sub_jobs/{id}

v1.0Documented

Parameters

  • id
    stringpathrequired

Response · 200 · object

  • origin_id
    string
  • origin_code
    string
  • origin_data
    string
  • created_at
    string (date-time)
  • updated_at
    string (date-time)
  • id
    integer
  • name
    string
  • code
    string
PATCH /rest/v1.0/sub_jobs/{id}

PATCH sub_jobs/{id}

v1.0Documented

Parameters

  • id
    stringpathrequired

Response · 200 · object

  • origin_id
    string
  • origin_code
    string
  • origin_data
    string
  • created_at
    string (date-time)
  • updated_at
    string (date-time)
  • id
    integer
  • name
    string
  • code
    string

Ask the OS

Reading this page

Ask anything about this page. Answers use what you're reading as context.

Suggested

    AI · may be imperfect · sample data where shown

    Open file